cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Oliver <res1c...@verizon.net>
Subject Re: Flowscript and POST's
Date Sun, 28 Dec 2003 22:49:15 GMT
You're using the wrong flow interpreter. The correct one is "javascript" 
not "JavaScript". The latter is obsolete and not supported (and should 
be removed).

Regards,

Chris

Michael Lucas-Smith wrote:

>Thursday, December 25, 2003, 11:26:44 PM, you wrote:
>
>
>GC> Michael Lucas-Smith wrote:
>  
>
>>>I grabbed 2003/12/23, 23:12:58 cvs snapshot of 2.1.4-dev, but I got
>>>the error that createObject is not a function. Is there a newer
>>>version I need to get?
>>>      
>>>
>
>GC> No, that should do.
>GC> Check if your
>GC> org.apache.cocoon.components.flow.javascript.fom.FOM_Cocoon contains a
>GC> jsFunction_createObject Method and do a clean build.
>
>I checked the source and it definitely contains
>jsFunction_createObject. So I wiped the build directory and ran
>build.sh again, checked for any FOM*class files and found only the new
>ones recently made from the build, started it up and it crashed again
>in the same fashion.
>
>I'm starting to wonder if it's to do with the flow interpreter I'm
>using?
>
><map:components>
>                <map:flow-interpreters default="JavaScript"/>
></map:components>
>
>That's what I'm using. Is there any more required to get Cocoon to use
>this new behaviour?
>
>Cheers,
>Michael.
>
>
>---------------------------------------------------------------------
>To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
>For additional commands, e-mail: users-help@cocoon.apache.org
>
>
>  
>



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message